%define modulename ada
%define realver 2.0-1
%define r_library %{_libdir}/R/library

Summary:	R module for boosting algorithms for a binary response
Name:		R-cran-%{modulename}
Version:	%(echo %realver|tr '-' '.')
Release:	%mkrel 6
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	http://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
Requires:	R-base
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Performs discrete, real, and gentle boost under both exponential 
and logistic loss on a given data set. The package ada provides a 
straightforward, well-documented, and broad boosting routine for 
classification, ideally suited for small to moderate-sized data sets.

%prep
%setup -q -c

%build

R CMD build %{modulename}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library}

# (tpg) provided by R-base
rm -rf %{buildroot}/%{r_library}/R.css

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{r_library}/%{modulename}


%changelog
* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-6mdv2011.0
+ Revision: 616444
- the mass rebuild of 2010.0 packages

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 2.0.1-5mdv2010.0
+ Revision: 433068
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-4mdv2009.0
+ Revision: 260119
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-3mdv2009.0
+ Revision: 248035
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix Url

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 169413
- import R-cran-ada


